aboutsummaryrefslogtreecommitdiff
path: root/test/nvidia-cuda/install_cudnn_nvxt_version.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/nvidia-cuda/install_cudnn_nvxt_version.sh
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/nvidia-cuda/install_cudnn_nvxt_version.sh')
-rw-r--r--test/nvidia-cuda/install_cudnn_nvxt_version.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/nvidia-cuda/install_cudnn_nvxt_version.sh b/test/nvidia-cuda/install_cudnn_nvxt_version.sh
new file mode 100644
index 0000000..a7f46bd
--- /dev/null
+++ b/test/nvidia-cuda/install_cudnn_nvxt_version.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Check installation of libcudnn8 (8.3.2)
+check "libcudnn.so.8.3.2" test 1 -eq "$(find /usr -name 'libcudnn.so.8.3.2' | wc -l)"
+
+# Check installation of cuda-nvtx-11-5 (11.5)
+check "cuda-11-5+nvtx" test -e '/usr/local/cuda-11.5/targets/x86_64-linux/include/nvtx3'
+
+# Report result
+reportResults
+ \ No newline at end of file